Subject: Re: [Idr] Genart last call review of draft-ietf-idr-tunnel-encaps-19

From: Keyur Patel <[email-masked]>
Date: Fri, 13 Nov 2020 21:21:16 +0000

Hi Gyan,

Thanks for the detail review of the draft. My comments are inlined #Keyur

On 10/2/20, 11:09 PM, "Gyan Mishra via Datatracker" <[email-masked]> wrote:

    Reviewer: Gyan Mishra
    Review result: Ready

    I am the assigned Gen-ART reviewer for this draft. The General Area
    Review Team (Gen-ART) reviews all IETF documents being processed
    by the IESG for the IETF Chair.  Please treat these comments just
    like any other last call comments.

    For more information, please see the FAQ at

    <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

    Document: draft-ietf-idr-tunnel-encaps-??
    Reviewer: Gyan Mishra
    Review Date: 2020-10-02
    IETF LC End Date: 2020-10-01
    IESG Telechat date: Not scheduled for a telechat

    Summary:
       This draft updates RFC 5512 is which was never used in production.
        This document deprecates the original RFC 5512
       Encapsulation SAFI used for GRE encapsulation type only and defined extended
       community attributes  (which has never been used in production) , and
       specifies semantics for the attribute when it is carried in UPDATEs of
       certain other SAFIs.  This document adds support for additional Tunnel
       Types, and allows a remote tunnel endpoint address to be specified for each
       tunnel.  This document also provides support for specifying fields of any
       inner or outer encapsulations that may be used by a particular tunnel.

    This document is well written and clearly defines all the tunnel encapsulation
    attributes that exist today. This draft modification of the usage of the tunnel
    encapsulation attribute is backwards compatible so does not impact the existing
    deployments of the tunnel encapsulation types such as vxlan,vxlan GPE, NVGRE,
    MPLS over GRE, L2TPV3.

    Major issues:
    None

    Minor issues:
    Is tunnel type RFC 7510 MPLS over UDP supported.  

#Keyur: Yes. Please see section 1.4 in the draft version 20 that was recently posted. https://datatracker.ietf.org/doc/draft-ietf-idr-tunnel-encaps/

Also RFC 8663 SR-MPLS over IP
    for SRv6 and SR-MPLS interoperability where MPLS over GRE RFC 4023 is used or
    RFC 7510 MPLS over UDP and outer encapsulation is IPv6 for SRv6 forwarding
    plane to tunnel SR-MPLS.

#Keyur: These should be a separate document. __

    Nits/editorial comments:
    As this update is backwards compatible to tunnel encapsulation attributes
    deployed today is there any code upgrade for vendor implementation required now
    for router vendors to support the new encapsulation attributes TLV and Sub TLVs
    and extended community attributes defined with this draft.

#Keyur: As you know the tunnel encapsulation attribute itself is backward compatible with RFC5512. However as part of this document, the tunnel encapsulation attribute can be carried with set of AFI/SAFIs that are defined in this document. To make this happen the code upgrade would be needed (Please refer to section 1). 

Regards,
Keyur

---

From: Gyan Mishra <[email-masked]>
Date: Fri, 13 Nov 2020 16:47:20 -0500

Thank you for the responses.

I am all set for the document advancement.

Gyan
On Fri, Nov 13, 2020 at 4:21 PM Keyur Patel <[email-masked]> wrote:

> #Keyur: Yes. Please see section 1.4 in the draft version 20 that was
> recently posted.
> https://datatracker.ietf.org/doc/draft-ietf-idr-tunnel-encaps/
>
>
> #Keyur: As you know the tunnel encapsulation attribute itself is backward
> compatible with RFC5512. However as part of this document, the tunnel
> encapsulation attribute can be carried with set of AFI/SAFIs that are
> defined in this document. To make this happen the code upgrade would be
> needed (Please refer to section 1).
>
> Regards,
> Keyur
>
>
>
> --

<http://www.verizon.com/>

*Gyan Mishra*

*Network Solutions A**rchitect *

*M 301 502-134713101 Columbia Pike *Silver Spring, MD